<template>
  <div class="content">
    <Marquee :tasks="tasks"/>
    <Marquee :tasks="tasks" :direction="'left'"/>
    <Marquee :tasks="tasks"/>
  </div>
</template>

<script>
import {mapActions, mapGetters} from "vuex";

export default {
  name: "MainPage",
  components: {
    Marquee: () => import("@/components/Marquee")
  },
  methods: {
    ...mapActions(['getPreviewTasks'])
  },
  computed: {
    ...mapGetters({tasks: 'getPreviewTasks'})
  },

  async mounted() {
    await this.getPreviewTasks()
  }
}
</script>

<style scoped>
.content {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  padding: 15px 0;
  width: 100%;
  overflow-x: hidden;
  height: 600px;
}
</style>
